/*
 * DocServer
 * More Info available on https://www.doctag.de
 *
 * The version of the OpenAPI document: 0.1
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */


package de.doctag.docsrv_api.model;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonCreator;
import com.fasterxml.jackson.annotation.JsonTypeName;
import com.fasterxml.jackson.annotation.JsonValue;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.junit.Assert;
import org.junit.Ignore;
import org.junit.Test;


/**
 * Model tests for PublicKeyVerification
 */
public class PublicKeyVerificationTest {
    private final PublicKeyVerification model = new PublicKeyVerification();

    /**
     * Model tests for PublicKeyVerification
     */
    @Test
    public void testPublicKeyVerification() {
        // TODO: test PublicKeyVerification
    }

    /**
     * Test the property 'isAddressVerified'
     */
    @Test
    public void isAddressVerifiedTest() {
        // TODO: test isAddressVerified
    }

    /**
     * Test the property 'isSigningDoctagInstanceVerified'
     */
    @Test
    public void isSigningDoctagInstanceVerifiedTest() {
        // TODO: test isSigningDoctagInstanceVerified
    }

    /**
     * Test the property 'signatureOfPublicKeyEntry'
     */
    @Test
    public void signatureOfPublicKeyEntryTest() {
        // TODO: test signatureOfPublicKeyEntry
    }

    /**
     * Test the property 'signatureValidUntil'
     */
    @Test
    public void signatureValidUntilTest() {
        // TODO: test signatureValidUntil
    }

    /**
     * Test the property 'signedAt'
     */
    @Test
    public void signedAtTest() {
        // TODO: test signedAt
    }

    /**
     * Test the property 'signedByParty'
     */
    @Test
    public void signedByPartyTest() {
        // TODO: test signedByParty
    }

    /**
     * Test the property 'signedByPublicKey'
     */
    @Test
    public void signedByPublicKeyTest() {
        // TODO: test signedByPublicKey
    }

}
